<div class="container kd-dialog-default">
  <h1 mat-dialog-title>{{ data.title }}</h1>

  <mat-dialog-content>
    <form novalidate
          #candidateForm
          [formGroup]="newCandidateForm"
          (ngSubmit)="onCreateNewCandidate()">
        <div class="row">
          <div class="col-md-6">
            <label for="firstname" class="form-check-label">Firstname</label>
            <input name="firstname" formControlName="firstname" type="text"
                   class="form-control kd-form-input" required>
            <mat-error *ngIf="firstname.dirty && firstname.errors?.required" class="kd-error">
              Firstname is required
            </mat-error>
          </div>
          <div class="col-md-6">
            <label for="lastname" class="form-check-label">Lastname</label>
            <input name="lastname" formControlName="lastname" type="text"
                   class="form-control kd-form-input" required>
            <mat-error *ngIf="lastname.dirty && lastname.errors?.required" class="kd-error">
              Lastname is required
            </mat-error>
          </div>
        </div>
        <div class="kd-div-top-spacer"></div>

        <div class="row">
          <div class="col-md-6">
            <label for="email" class="form-check-label">Email</label>
            <input name="email" formControlName="email" type="email"
                   class="form-control kd-form-input" required>
            <mat-error *ngIf="email.dirty && email.errors?.required" class="kd-error">
              Email is required
            </mat-error>
            <mat-error *ngIf="email.dirty && email.errors?.email" class="kd-error">
              <br> Invalid email format
            </mat-error>
          </div>
          <div class="col-md-6">
            <label for="cv" class="form-check-label">CV link</label>
            <input name="cv" formControlName="cv" type="text"
                   class="form-control kd-form-input" required>
            <mat-error *ngIf="cv.dirty && cv.errors?.required" class="kd-error">
              CV link is required
            </mat-error>
          </div>
        </div>
        <div class="kd-div-top-spacer"></div>

        <div class="row">
          <div class="col-md-6">
            <label for="phone" class="form-check-label">Phone</label>
            <input name="phone" formControlName="phone" type="text"
                   class="form-control kd-form-input" required>
            <mat-error *ngIf="phone.dirty && phone.errors?.required" class="kd-error">
              Phone number is required
            </mat-error>
            <mat-error *ngIf="phone.dirty && phone.errors?.pattern" class="kd-error">
              Incorrect phone number format
            </mat-error>
          </div>
          <div class="col-md-6">
            <label for="mark" class="form-check-label">Mark</label>
            <input name="mark" formControlName="mark" type="text"
                   class="form-control kd-form-input">
            <mat-error *ngIf="mark.dirty && mark.errors?.pattern">
              Mark must be number
            </mat-error>
          </div>
        </div>
        <div class="kd-div-top-spacer"></div>

        <div class="row">
          <div class="col-md-6">
            <label for="position" class="form-check-label">Position</label>
            <input name="position" formControlName="position" type="text"
                   class="form-control kd-form-input">
          </div>
          <div class="col-md-6">
            <label for="comment" class="form-check-label">Comment</label>
            <input name="comment" formControlName="comment" type="text"
                   class="form-control kd-form-input">
            <mat-error *ngIf="comment.dirty && comment.errors?.maxlength" class="kd-error">
              Comment must have equal or less than 20 characters
            </mat-error>
          </div>
        </div>

      <div style="float:right;margin:20px;">
        <button style="margin:0px 10px;"
                type="submit"
                class="btn btn-primary kd-btn-primary"
                [ngClass]="submitHoverClass()"
                [disabled]="newCandidateForm.invalid">
                Create
        </button>
        <button type="reset"
                class="btn btn-danger kd-btn-danger"
                (click)="onReset()">
                Cancel
        </button>
      </div>
    </form>
  </mat-dialog-content>
</div>
